%define upstream_name    Excel-Template
%define upstream_version 0.34

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Templating module that generates Excel
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Excel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(Spreadsheet::WriteExcel) >= 0.420.0
BuildRequires: perl(Spreadsheet::WriteExcel::Utility)
BuildRequires: perl(Test::Deep) >= 0.95.0
BuildRequires: perl(Test::Exception) >= 0.210.0
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::Parser)
BuildArch:  noarch

%description
This is a module used for templating Excel files. Its genesis came from the
need to use the same datastructure as the HTML::Template manpage, but
provide Excel files instead. The existing modules don't do the trick, as
they require replication of logic that's already been done within the
HTML::Template manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.340.0-5.mga5
+ Revision: 750485
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.340.0-4.mga5
+ Revision: 684659
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.340.0-3.mga4
+ Revision: 511389
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.340.0-2.mga3
+ Revision: 366973
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.340.0-1.mga3
+ Revision: 254943
- update to 0.34

* Tue Feb 22 2011 jquelin <jquelin> 0.330.0-1.mga1
+ Revision: 56546
- update to 0.33

* Sat Jan 22 2011 jquelin <jquelin> 0.320.0-1.mga1
+ Revision: 31978
- mageia rebuild
- imported package perl-Excel-Template


* Sat Jan 01 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.320.0-1mdv2011.0
+ Revision: 627063
- import perl-Excel-Template

